# vitis_git

Trying to make Vitis more git-friendly.

### Requirements

- Tested on Vitis 2020.2

### How it works

Vitis is a little bit less pain in the ass than Vivado to version control decently, so this repository provide:

- A good to start with `.gitignore` file

- Git-hook-scripts to eliminate absolute paths in project files

### Workflow

#### Create new project

1. When first starting a project, create the workspace in a new folder.

2. Copy the hardware specification file (.xsa) into the workspace folder.

3. Create a new platform project called `hw_platform` and choose the copied hardware specification file.

4. Create a new application project via `File -> New -> Application Project...`, choose the platform created befor and name it as you want.

5. Copy the `.gitignore` file and the `.githooks` folder from this repository into the workspace folder.

6. Execute the following commands in the workspace folder:

- `git init` - Initialize git repository in the workspace folder

- `git config --local core.hooksPath .githooks` - set path to git-hooks for this repository

- `git add .` - add all relevant files to the repository

- `git commit -m 'initial commit'` - create initial commit
